Package com.independentsoft.graph.files

# Enum Class DriveItemSourceApplication

java.lang.Object
java.lang.Enum<DriveItemSourceApplication>
com.independentsoft.graph.files.DriveItemSourceApplication

All Implemented Interfaces:
  `Serializable`, `Comparable<DriveItemSourceApplication>`, `Constable`

public enum DriveItemSourceApplication extends Enum<DriveItemSourceApplication>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `OFFICE`
  `ONE_DRIVE`
  `POWER_POINT`
  `SHARE_POINT`
  `STREAM`
  `TEAMS`
  `UNKNOWN_FUTURE_VALUE`
  `YAMMER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DriveItemSourceApplication`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DriveItemSourceApplication[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEAMS

    public static final DriveItemSourceApplication TEAMS

  - ### YAMMER

    public static final DriveItemSourceApplication YAMMER

  - ### SHARE_POINT

    public static final DriveItemSourceApplication SHARE_POINT

  - ### ONE_DRIVE

    public static final DriveItemSourceApplication ONE_DRIVE

  - ### STREAM

    public static final DriveItemSourceApplication STREAM

  - ### POWER_POINT

    public static final DriveItemSourceApplication POWER_POINT

  - ### OFFICE

    public static final DriveItemSourceApplication OFFICE

  - ### UNKNOWN_FUTURE_VALUE

    public static final DriveItemSourceApplication UNKNOWN_FUTURE_VALUE

  - ### NONE

    public static final DriveItemSourceApplication NONE

- ## Method Details

  - ### values

    public static DriveItemSourceApplication[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DriveItemSourceApplication valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null